## xmms2-scrobbler 0.3.0

=== Makefile ===
CFLAGS += -std=gnu99 -Wall -Wwrite-strings -pthread
PREFIX ?= /usr/local

VERSION := 0.3.0
TARBALL := xmms2-scrobbler-$(VERSION).tar.gz

XMMS_CFLAGS := `pkg-config xmms2-client --cflags`
XMMS_LDFLAGS := `pkg-config xmms2-client --libs`
CURL_CFLAGS := `pkg-config libcurl --cflags`
CURL_LDFLAGS := `pkg-config libcurl --libs`

ifndef VERBOSE
	QUIET_CC = @echo '    ' CC $@;
	QUIET_LINK = @echo '    ' LINK $@;
	QUIET_MKDIR = @echo '    ' MKDIR $@;
endif

BINARY := bin/xmms2-scrobbler
OBJECTS := src/xmms2-scrobbler.o src/queue.o src/strbuf.o src/md5.o \
           src/submission.o

all: $(BINARY)

install: $(BINARY)
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(BINARY) $(DESTDIR)$(PREFIX)/bin

$(BINARY): $(OBJECTS) bin
	$(QUIET_LINK)$(CC) $(LDFLAGS) $(XMMS_LDFLAGS) $(CURL_LDFLAGS) $(OBJECTS) -o $@

src/%.o : src/%.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(XMMS_CFLAGS) $(CURL_CFLAGS) -o $@ -c $<

bin:
	$(QUIET_MKDIR)mkdir bin

dist:
	rm -rf $(TARBALL) xmms2-scrobbler-$(VERSION)
	git archive --format=tar --prefix=xmms2-scrobbler-$(VERSION)/ HEAD | tar -x
	git log > xmms2-scrobbler-$(VERSION)/ChangeLog
	tar czvf $(TARBALL) xmms2-scrobbler-$(VERSION)
	rm -rf xmms2-scrobbler-$(VERSION)

clean:
	rm -rf $(OBJECTS) bin

## xmms2-scrobbler 0.4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 CFLAGS += -std=gnu99 -Wall -Wwrite-strings -pthread
+ENDIAN_CFLAGS=
 PREFIX ?= /usr/local
 
-VERSION := 0.3.0
+VERSION := 0.4.0
 TARBALL := xmms2-scrobbler-$(VERSION).tar.gz
 
 XMMS_CFLAGS := `pkg-config xmms2-client --cflags`
@@ -15,8 +16,16 @@
 	QUIET_MKDIR = @echo '    ' MKDIR $@;
 endif
 
+ifdef BIG_ENDIAN
+	ENDIAN_CFLAGS=-DWORDS_BIGENDIAN
+endif
+
 BINARY := bin/xmms2-scrobbler
-OBJECTS := src/xmms2-scrobbler.o src/queue.o src/strbuf.o src/md5.o \
+OBJECTS := src/xmms2-scrobbler.o \
+           src/list.o \
+           src/queue.o \
+           src/strbuf.o \
+           src/md5.o \
            src/submission.o
 
 all: $(BINARY)
@@ -29,7 +38,7 @@
 	$(QUIET_LINK)$(CC) $(LDFLAGS) $(XMMS_LDFLAGS) $(CURL_LDFLAGS) $(OBJECTS) -o $@
 
 src/%.o : src/%.c
-	$(QUIET_CC)$(CC) $(CFLAGS) $(XMMS_CFLAGS) $(CURL_CFLAGS) -o $@ -c $<
+	$(QUIET_CC)$(CC) $(CFLAGS) $(XMMS_CFLAGS) $(CURL_CFLAGS) $(ENDIAN_CFLAGS) -o $@ -c $<
 
 bin:
 	$(QUIET_MKDIR)mkdir bin

=== debian/changelog ===
xmms2-scrobbler (0.4.0-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:19 +1100

xmms2-scrobbler (0.4.0-4build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:08:41 +0000

xmms2-scrobbler (0.4.0-4build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:55:46 +0000

xmms2-scrobbler (0.4.0-4) unstable; urgency=low

  * Switch to debhelper 9 and enable hardening.
  * Use current canonical URI for VCS-* fields.
  * Update machine-readable copyright file to version 1.0 of the specification.
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 05 Mar 2013 00:56:54 +0100

xmms2-scrobbler (0.4.0-3) unstable; urgency=low

  * Change order of library parameter to gcc (LP: #852590).
  * Update debian/changelog to newer version of DEP-5.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 17 Sep 2011 22:21:00 +0200

xmms2-scrobbler (0.4.0-2) unstable; urgency=low

  * Fix FTBFS with ld --as-needed. Thanks to Matthias Klose for the patch.
    (Closes: #641294, LP: #832821)
  * Fix FTBFS with binutils-gold. (Closes: #556713)
  * Update my email address.
  * Turn on verbose build by default.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 13 Sep 2011 12:21:34 +0200

xmms2-scrobbler (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #566925).
    - Implemented support for "multi-scrobbling" (Closes: #523478).
  * Bump Standards-Version to 3.8.4, no changes required.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 03 Feb 2010 13:48:03 +0100

xmms2-scrobbler (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Wrote manual page for xmms2-scrobbler.
  * Allow uploads done by Debian Maintainers.
  * Use 3.0 (quilt) source format.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 Nov 2009 22:05:29 +0100

xmms2-scrobbler (0.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #531323, #540844; LP: #379067).
  * Add debian/watch file.
  * Remove Thomas Jollans <thomas@jollans.com> from uploaders and add myself.
  * Bump Standards-Version to 3.8.3.
  * Remove unneeded debian files.
  * Rewrite debian/rules from scratch using only debhelper v7.
  * Update Build-Depends and Depends.
  * Update debian/copyright to use the format described in DEP 5.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 20 Aug 2009 03:22:30 +0200

xmms2-scrobbler (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Don't ship AUTHORS file.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 21 Apr 2008 08:45:49 +0200

xmms2-scrobbler (0.2.1-1) unstable; urgency=low

  * New upstream release.
    + Ignores stale lockfiles (Closes: #456577).
  * Install ChangeLog.
  * Add Anders Waldenborg <anders@0x63.nu> to Uploaders.
  * Add Vcs-{Git,Browser} and Homepage control fields.

 -- Florian Ragwitz <rafl@debian.org>  Fri, 18 Apr 2008 14:45:40 +0200

xmms2-scrobbler (0.2.0-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.7.3 (no changes).

 -- Florian Ragwitz <rafl@debian.org>  Sun, 30 Mar 2008 13:00:49 +0200

xmms2-scrobbler (0.1.3-1) unstable; urgency=low

  * New Upstream Version

 -- Thomas Jollans <thomas@jollans.com>  Thu, 28 Jun 2007 22:39:27 +0200

xmms2-scrobbler (0.1.2-1) unstable; urgency=low

  * Initial release.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 13 Nov 2006 15:18:51 +0100

=== debian/control ===
Source: xmms2-scrobbler
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Florian Ragwitz <rafl@debian.org>
Uploaders: Anders Waldenborg <anders@0x63.nu>,
           Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper (>= 9),
               libcurl4-openssl-dev,
               libxmmsclient-dev (>= 0.6DrMattDesctruction)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-xmms2/xmms2-scrobbler
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xmms2/xmms2-scrobbler.git
Homepage: http://code-monkey.de/pages/xmms2-scrobbler

Package: xmms2-scrobbler
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xmms2-core
Description: Audioscrobbler/Last.FM client for XMMS2
 The scrobbler client sends information about the tracks you play with XMMS2 to
 the Last.FM service to build a profile of the type of music you listen to and
 find people that have similar tastes in music. For more information on
 AudioScrobbler see http://www.last.fm/

=== debian/watch ===
version=3
ftp://ftp.code-monkey.de/pub/xmms2-scrobbler/xmms2-scrobbler-(.*)\.tar\.gz
